Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.normalize.input
Class InputFieldCSV

    java.lang.Object
      org.encog.util.normalize.input.BasicInputField
          org.encog.util.normalize.input.InputFieldCSV

All Implemented Interfaces:
  Serializable, InputField

Direct Known Subclasses:
  InputFieldCSVText

    public class InputFieldCSV

extends BasicInputField

An input field based on a CSV file.

See Also:
  Serialized Form

Constructor Summary
`InputFieldCSV()` Construct an InputFieldCSV with the default constructor.
`InputFieldCSV(boolean usedForNetworkInput, File file, int offset)` Construct a input field for a CSV file.

Method Summary
`File` | `getFile()`
`int` | `getOffset()`

Methods inherited from class org.encog.util.normalize.input.BasicInputField
`applyMinMax, getCurrentValue, getMax, getMin, getUsedForNetworkInput, getValue, setCurrentValue, setMax, setMin, setUsedForNetworkInput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputFieldCSV

    public InputFieldCSV()

  Construct an InputFieldCSV with the default constructor. This is mainly used for reflection.

### InputFieldCSV

    public InputFieldCSV(boolean usedForNetworkInput,
                         File file,
                         int offset)

  Construct a input field for a CSV file.

  Parameters:
    `usedForNetworkInput` - True if this field is used for actual input to the neural network, as opposed to segregation only.
    `file` - The tile to read.
    `offset` - The CSV file column to read.

Method Detail

### getFile

    public File getFile()

  Returns:
    The file being read.

### getOffset

    public int getOffset()

  Returns:
    The column in this CSV file to read.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.